# Uses of Class
io.dapr.v1.DaprProtos.TryLockResponse

Packages that use DaprProtos.TryLockResponse
Package
Description
io.dapr.v1

## Uses of DaprProtos.TryLockResponse in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.TryLockResponse
Modifier and Type
Method
Description
`DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.Builder.`build()`
`DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.Builder.`buildPartial()`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`getDefaultInstance()`
`DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.Builder.`getDefaultInstanceForType()`
`DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`getDefaultInstanceForType()`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseDelimitedFrom(InputStream input)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(byte[] data)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(InputStream input)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(ByteBuffer data)`
`static DaprProtos.TryLockResponse`
DaprProtos.TryLockResponse.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.TryLockResponse`
DaprGrpc.DaprBlockingStub.`tryLockAlpha1(DaprProtos.TryLockRequest request)`
TryLockAlpha1 tries to get a lock with an expiry.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.TryLockResponse
Modifier and Type
Method
Description
`com.google.protobuf.Parser<DaprProtos.TryLockResponse>`
DaprProtos.TryLockResponse.`getParserForType()`
`static io.grpc.MethodDescriptor<DaprProtos.TryLockRequest,DaprProtos.TryLockResponse>`
DaprGrpc.`getTryLockAlpha1Method()`
`static com.google.protobuf.Parser<DaprProtos.TryLockResponse>`
DaprProtos.TryLockResponse.`parser()`
`com.google.common.util.concurrent.ListenableFuture<DaprProtos.TryLockResponse>`
DaprGrpc.DaprFutureStub.`tryLockAlpha1(DaprProtos.TryLockRequest request)`
TryLockAlpha1 tries to get a lock with an expiry.
Methods in io.dapr.v1 with parameters of type DaprProtos.TryLockResponse
Modifier and Type
Method
Description
`DaprProtos.TryLockResponse.Builder`
DaprProtos.TryLockResponse.Builder.`mergeFrom(DaprProtos.TryLockResponse other)`
`static DaprProtos.TryLockResponse.Builder`
DaprProtos.TryLockResponse.`newBuilder(DaprProtos.TryLockResponse prototype)`
Method parameters in io.dapr.v1 with type arguments of type DaprProtos.TryLockResponse
Modifier and Type
Method
Description
`default void`
DaprGrpc.AsyncService.`tryLockAlpha1(DaprProtos.TryLockRequest request, io.grpc.stub.StreamObserver<DaprProtos.TryLockResponse> responseObserver)`
TryLockAlpha1 tries to get a lock with an expiry.
`void`
DaprGrpc.DaprStub.`tryLockAlpha1(DaprProtos.TryLockRequest request, io.grpc.stub.StreamObserver<DaprProtos.TryLockResponse> responseObserver)`
TryLockAlpha1 tries to get a lock with an expiry.